/* (C) 2022 YiRing, Inc. */
package com.yiring.app.constant.rehearsal;

import com.yiring.app.vo.CodeNameVo;
import java.util.ArrayList;
import java.util.List;
import lombok.Getter;

/**
 * 演练计划状态枚举(1:未启动, 2:进行中, 3:已结束)
 * @author tml
 * @version 1.0
 * @date 2022/5/9 17:29
 */
public enum RehearsalPlanStatusEnum {
    /**
     *未启动
     */
    UN_START(1, "未启动"),

    /**
     *进行中
     */
    RUNNING(2, "进行中"),

    /**
     * 已结束
     */
    END(3, "已结束");

    @Getter
    private final Integer code;

    @Getter
    private final String name;

    private static final List<CodeNameVo> LIST;

    static {
        LIST = new ArrayList<>();
        for (RehearsalPlanStatusEnum item : values()) {
            LIST.add(new CodeNameVo(item.getCode(), item.getName()));
        }
    }

    RehearsalPlanStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static List<CodeNameVo> getAll() {
        return LIST;
    }

    public static String getByCode(Integer code) {
        for (RehearsalPlanStatusEnum item : values()) {
            if (item.getCode().equals(code)) {
                return item.getName();
            }
        }
        return "未知状态";
    }
}
