/* (C) 2022 YiRing, Inc. */
package com.yiring.app.constant.rehearsal;

import com.yiring.app.vo.CodeNameVo;
import java.util.ArrayList;
import java.util.List;
import lombok.Getter;

/**
 * 演练计划风险等级枚举(1:红色风险, 2:橙色风险, 3:黄色风险, 4:蓝色风险)
 * @author tml
 * @version 1.0
 * @date 2022/5/9 17:28
 */
public enum RiskLevelEnum {
    /**
     * 红色风险
     */
    RED(1, "红色风险"),

    /**
     * 橙色风险
     */
    ORANGE(2, "橙色风险"),

    /**
     * 黄色风险
     */
    YELLOW(3, "黄色风险"),

    /**
     * 蓝色风险
     */
    BLUE(4, "蓝色风险");

    @Getter
    private final Integer code;

    @Getter
    private final String name;

    private static final List<CodeNameVo> LIST;

    static {
        LIST = new ArrayList<>();
        for (RiskLevelEnum item : values()) {
            LIST.add(new CodeNameVo(item.getCode(), item.getName()));
        }
    }

    RiskLevelEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static List<CodeNameVo> getAll() {
        return LIST;
    }

    public static String getByCode(Integer code) {
        for (RiskLevelEnum item : values()) {
            if (item.getCode().equals(code)) {
                return item.getName();
            }
        }
        return "未知风险";
    }
}
