/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.broadcast;

import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.persistence.Entity;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;
import org.hibernate.annotations.CreationTimestamp;

/**
 * 播报音频
 *
 * @author LJ-2204
 * @date 2022/5/7
 */

@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_BROADCAST_AUDIO")
@Comment("播报语音")
public class BroadcastAudio extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = -7232247536987652847L;

    @Comment("语音名称")
    String name;

    @Comment("语音地址")
    String uri;

    @Comment("上传时间")
    @CreationTimestamp
    LocalDateTime uploadTime;

    @Comment("备注")
    String describe;
}
