/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.key;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.yiring.auth.domain.user.User;
import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;

/**
 *
 *
 * @author LJ-2204
 * @date 2022/5/6
 */

@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_KEY_ALARM")
@Comment("按键报警规则")
public class KeyAlarm extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = -6050505164664867107L;

    @Comment("地图 ID")
    Long areaId;

    @ManyToOne
    @JoinColumn(name = "leader_id")
    @JsonIgnore
    @Comment("负责人")
    User leader;

    @Comment("报警状态")
    Boolean enable;
}
