/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.location.beacon;

import cn.hutool.core.date.LocalDateTimeUtil;
import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import com.yiring.app.domain.location.LocationBeacon;
import java.io.Serial;
import java.io.Serializable;
import lombok.AccessLevel;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.FieldDefaults;

/**
 * 信标导出
 *
 * @author LJ-2204
 * @date 2022/4/29
 */

@ExcelModel
@Data
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationBeaconExportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -8548586352563859939L;

    @ExcelColumn(title = "编号")
    String code;

    @ExcelColumn(title = "最后更新时间")
    String time;

    @ExcelColumn(title = "图层")
    Long areaId;

    public static LocationBeaconExportExcel transform(LocationBeacon locationBeacon) {
        return LocationBeaconExportExcel
            .builder()
            .code(locationBeacon.getCode())
            .time(LocalDateTimeUtil.format(locationBeacon.getTime(), "yyyy-MM-dd HH:mm:ss"))
            .areaId(locationBeacon.getAreaId())
            .build();
    }
}
