/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.location.tag;

import cn.hutool.core.util.StrUtil;
import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.yiring.app.domain.location.LocationTag;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author LJ-2204
 * @date 2022/4/14
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationTagImportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -8817732062049005201L;

    // 编号
    @ExcelColumn(title = "编号")
    String code;

    // 标签型号
    @ExcelColumn(title = "标签类型")
    String type;

    // 设备编码
    @ExcelColumn(title = "imei")
    String imei;

    public static LocationTag transform(LocationTagImportExcel locationTagImportExcel) {
        return LocationTag
            .builder()
            .code(locationTagImportExcel.code)
            .type(LocationTag.Type.valueOf(locationTagImportExcel.type))
            .imei(StrUtil.isEmpty(locationTagImportExcel.imei) ? null : locationTagImportExcel.imei)
            .createTime(LocalDateTime.now())
            .build();
    }
}
