/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.post;

import cn.hutool.core.date.LocalDateTimeUtil;
import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.github.liaochong.myexcel.core.annotation.ExcelModel;
import com.yiring.auth.domain.post.Post;
import lombok.AccessLevel;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.FieldDefaults;

/**
 * 职位信息导出模型
 * @author LJ-2204
 * @date 2022/4/13
 */

@ExcelModel
@Data
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PostExportExcel {

    /*@ExcelColumn(title = "编号")
    @JsonSerialize(using = ToStringSerializer.class)
    Long id;*/

    @ExcelColumn(title = "职位名称")
    String name;

    @ExcelColumn(title = "职位描述")
    String describe;

    @ExcelColumn(title = "是否启用")
    String enable;

    @ExcelColumn(title = "创建时间")
    String createTime;

    public static PostExportExcel transform(Post post) {
        return PostExportExcel
            .builder()
            .name(post.getName())
            .describe(post.getDescribe())
            .enable(post.getEnable() ? "启用" : "禁用")
            .createTime(LocalDateTimeUtil.format(post.getCreateTime(), "yyyy-MM-dd HH:mm:ss"))
            .build();
    }
}
