/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.user;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.yiring.app.vo.user.UserVo;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户导出
 *
 * @author LJ-2204
 * @date 2022/4/24
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserExportExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = 7104402721241163991L;

    @ExcelColumn(title = "姓名")
    String realName;

    @ExcelColumn(title = "工号")
    String uuid;

    @ExcelColumn(title = "图标类型")
    String type;

    // 手机号
    @ExcelColumn(title = "手机号码")
    String mobile;

    // 部门id
    @ExcelColumn(title = "部门名称")
    String deptName;

    // 职位id
    @ExcelColumn(title = "职位名称")
    String postName;

    // 标签号
    @ExcelColumn(title = "标签编号")
    String code;

    // 性别
    @ExcelColumn(title = "性别")
    Boolean gender;

    // 是否为特殊人员
    @ExcelColumn(title = "特殊人员")
    Boolean isSpecial;

    public static UserExportExcel transform(UserVo userVo) {
        return UserExportExcel
            .builder()
            .realName(userVo.getRealName())
            .uuid(userVo.getUuid())
            .type(userVo.getType().text())
            .mobile(userVo.getMobile())
            .deptName(userVo.getDepartment())
            .postName(userVo.getPost())
            .code(userVo.getCode())
            .gender(userVo.getGender())
            .isSpecial(userVo.getIsSpecial())
            .build();
    }
}
