/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.user;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户批量绑卡
 *
 * @author LJ-2204
 * @date 2022/5/9
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserSendCardExcel implements Serializable {

    @Serial
    private static final long serialVersionUID = -6094419272413042366L;

    // 姓名
    @ExcelColumn(title = "姓名")
    String realName;

    // 工号
    @ExcelColumn(title = "工号")
    String uuid;

    // 标签号
    @ExcelColumn(title = "标签编号")
    String code;
}
