/* (C) 2022 YiRing, Inc. */
package com.yiring.app.feign.zy.user;

import cn.hutool.json.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * zy用户
 *
 * @author LJ-2204
 * @date 2022/5/5
 */

@FeignClient(url = "${zy-config.proxy.api}", name = "UserClient")
public interface UserClient {
    @PostMapping(value = "/position/staff/save", headers = { "Content-Type=application/json;charset=UTF-8" })
    JSONObject save(@RequestBody String json, @RequestHeader("Authorization") String token);

    @PostMapping(value = "/position/staff/list", headers = { "Content-Type=application/json;charset=UTF-8" })
    JSONObject list(@RequestBody String json, @RequestHeader("Authorization") String token);

    @DeleteMapping(value = "/position/staff/delete/{id}")
    JSONObject delete(@PathVariable("id") String id, @RequestHeader("Authorization") String token);

    @GetMapping(value = "position/staff/unbind/{ids}")
    JSONObject unbind(
        @PathVariable("ids") String ids,
        @RequestParam("orgId") Integer orgId,
        @RequestHeader("Authorization") String token
    );

    @GetMapping(value = "position/staff/bindTag/{id}/{code}/1")
    JSONObject bindTag(
        @PathVariable("id") Long id,
        @PathVariable("code") String code,
        @RequestParam("orgId") Integer orgId,
        @RequestHeader("Authorization") String token
    );
}
