/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.broadcast;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 播报语音
 *
 * @author LJ-2204
 * @date 2022/5/7
 */

@ApiModel("BroadcastAudioModifyParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class BroadcastAudioModifyParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 6319295457926858655L;

    @ApiModelProperty(value = "主键", example = "1", required = true)
    @NotNull(message = "主键不能为空")
    Long id;

    @ApiModelProperty(value = "语音名称", example = "警告张三", required = true)
    @NotEmpty(message = "语音名称不能为空")
    String name;

    @ApiModelProperty(value = "语音地址", example = "uri", required = true)
    @NotEmpty(message = "语音地址不能为空")
    String uri;

    @ApiModelProperty(value = "备注", example = "请输入备注信息")
    String describe;
}
