/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.key;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 按键报警
 *
 * @author LJ-2204
 * @date 2022/5/10
 */

@ApiModel("KeyAlarmFindParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class KeyAlarmFindParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -1011171442882543071L;

    @ApiModelProperty(value = "地图总图", example = "1")
    Long areaId;

    @ApiModelProperty(value = "报警人员", example = "张三")
    String name;

    @ApiModelProperty(value = "报警状态", example = "T/F")
    Boolean enable;

    @ApiModelProperty(value = "开始时间", example = "2022-11-11 22:22:22")
    LocalDateTime createTime;

    @ApiModelProperty(value = "结束时间", example = "2022-11-11 22:22:22")
    LocalDateTime endTime;
}
