/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.key;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 按键报警规则
 *
 * @author LJ-2204
 * @date 2022/5/6
 */

@ApiModel("KeyAlarmRulesAddParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class KeyAlarmRulesAddParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 758462772473378637L;

    @ApiModelProperty(value = "部门id", example = "100", required = true)
    @NotNull(message = "部门ID不能为空")
    Long deptId;

    @ApiModelProperty(value = "用户ids", example = "1111,2222", required = true)
    @NotEmpty(message = "用户ids不能为空")
    String userIds;

    @ApiModelProperty(value = "报警类型", example = "APP/SMS/CALL_TTS", required = true)
    @NotEmpty(message = "报警类型不能为空")
    String types;
}
