/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.tag;

import com.yiring.app.domain.location.LocationTag;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 定位标签分页入参
 * @author LJ-2204
 * @date 2022/4/14
 */

@ApiModel("LocationTagFindParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationTagFindParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -5134311481372693111L;

    @ApiModelProperty(value = "编号", example = "BTT88888888")
    String code;

    @ApiModelProperty(value = "标签类型", example = "蓝牙人员定位卡")
    LocationTag.Type type;

    @ApiModelProperty(value = "状态", example = "true")
    Boolean silent;

    @ApiModelProperty(value = "绑卡状态", example = "true")
    Boolean used;
}
