/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.rehearsal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/7 10:48
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("事故点查询条件")
public class AccidentSpotConditionParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 3434244613930014725L;

    @ApiModelProperty(value = "事故点名称", example = "工作区域")
    private String name;

    @ApiModelProperty(value = "地图id", example = "1", required = true)
    @NotNull(message = "请选择一个地图")
    private Long mapId;
}
