/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.rehearsal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/9 9:46
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("撤离区查询条件param")
public class EvacuationZoneConditionParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -5269335791931545685L;

    @ApiModelProperty(value = "事故点名称", example = "工作区域")
    private String name;

    @ApiModelProperty(value = "地图id", example = "1", required = true)
    @NotNull(message = "请选择一个地图")
    private Long mapId;
}
