/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.broadcast;

import com.yiring.app.param.broadcast.BroadcastAudioAddParam;
import com.yiring.app.param.broadcast.BroadcastAudioFindParam;
import com.yiring.app.param.broadcast.BroadcastAudioModifyParam;
import com.yiring.app.vo.broadcast.BroadcastAudioIndexVo;
import com.yiring.app.vo.broadcast.BroadcastAudioVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.IndexParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;

/**
 * 播报语音
 *
 * @author LJ-2204
 * @date 2022/5/7
 */

public interface BroadcastAudioService {
    /**
     * 添加播报语音
     * @param param BroadcastAudioAddParam
     * @return Result<String>
     */
    Result<String> save(BroadcastAudioAddParam param);

    /**
     * 删除播报语音
     * @param idParam IdParam
     * @return Result<String>
     */
    Result<String> delete(IdParam idParam);

    /**
     * 修改播报语音
     * @param param BroadcastAudioModifyParam
     * @return Result<String>
     */
    Result<String> modify(BroadcastAudioModifyParam param);

    /**
     * 表格查询
     * @param param BroadcastAudioFindParam
     * @param pageParam PageParam
     * @return Result<PageVo<BroadcastAudioVo>>
     */
    Result<PageVo<BroadcastAudioVo>> page(BroadcastAudioFindParam param, PageParam pageParam);

    /**
     * 播报语音检索
     * @param indexParam IndexParam
     * @return Result<PageVo<BroadcastAudioIndexVo>>
     */
    Result<PageVo<BroadcastAudioIndexVo>> index(IndexParam indexParam);
}
