/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.broadcast;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yiring.app.domain.broadcast.BroadcastAudio;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 播报语音
 *
 * @author LJ-2204
 * @date 2022/5/7
 */

@ApiModel("BroadcastAudioIndexVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class BroadcastAudioIndexVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -2734529136001729248L;

    @ApiModelProperty(value = "主键", example = "100")
    @JsonSerialize(using = ToStringSerializer.class)
    Long id;

    @ApiModelProperty(value = "语音名称", example = "张三")
    String name;

    @ApiModelProperty(value = "语音地址", example = "uri")
    String uri;

    public static BroadcastAudioIndexVo transform(BroadcastAudio broadcastAudio) {
        return BroadcastAudioIndexVo
            .builder()
            .id(broadcastAudio.getId())
            .name(broadcastAudio.getName())
            .uri(broadcastAudio.getUri())
            .build();
    }
}
