/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.key;

import com.yiring.app.param.key.KeyAlarmFindParam;
import com.yiring.app.service.key.KeyAlarmService;
import com.yiring.app.vo.key.KeyAlarmVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 按键报警
 *
 * @author LJ-2204
 * @date 2022/5/10
 */

@Slf4j
@Validated
@Api(tags = "按键报警")
@RestController
@RequestMapping("/key/alarm")
public class KeyAlarmController {

    @Resource
    KeyAlarmService keyAlarmService;

    @ApiOperation("表格查询")
    @GetMapping("page")
    public Result<PageVo<KeyAlarmVo>> page(KeyAlarmFindParam param, PageParam pageParam) {
        return keyAlarmService.page(param, pageParam);
    }
}
