/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.service.user;

import com.yiring.auth.param.user.UserFindParam;
import com.yiring.auth.param.user.UserSaveParam;
import com.yiring.auth.vo.user.UserVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;

/**
 * 用户
 *
 * @author LJ-2204
 * @date 2022/5/10
 */
public interface UserService {
    /**
     * 添加系统用户
     * @param param UserSaveParam
     * @return Result<String>
     */
    Result<String> add(UserSaveParam param);

    /**
     * 分页查询
     * @param param UserFindParam
     * @param pageParam PageParam
     * @return Result<PageVo<UserVo>>
     */
    Result<PageVo<UserVo>> page(UserFindParam param, PageParam pageParam);
}
